<?php
/*
Plugin Name: Movie Poster Plugin
Plugin URI: http://persianscript.ir
Description: A plugin to post movies on your blog
Version: 1.0
Author: Edy Bolos
Author URI: http://persianscript.ir
*/
define("MOVIE_POSTER_PLUGIN_CLASS_NAME",'Movie_poster_plugin');

register_activation_hook(__FILE__,array(MOVIE_POSTER_PLUGIN_CLASS_NAME,'plugin_activate'));

class Movie_poster_plugin {
	
	public static $table_name;
	
	function __construct() {
		add_action('admin_menu', array(&$this, 'register_movie_poster_plugin_page'));
	}
	
	function register_movie_poster_plugin_page() {
		add_menu_page('Movie Poster', 'Movie Poster', 'publish_posts', basename(__FILE__), array(&$this, 'movie_poster_page'));
	}
	
	function movie_poster_page() {
		error_reporting(E_ALL);
	?>
    
   	<div class="wrap">
		<div id="icon-edit" class="icon32"></div><h2>Movie Poster</h2>
	<?php 
		if (isset($_POST["search_movie"]) ) {
			if (strlen($_POST["movie_title"])<3) echo "<h3>Minimum 3 letters in query!</h3>";
			else { 
		  		echo $this->search_movie();
			}
		} else if (isset($_POST['edit_post'])) {
			$this->prepare_for_post();
		} else if (isset($_POST['post_movie'])) {
			echo str_replace(array("\\\\","\\'",'\\"'),array("\\","'",'"'),$_POST['moviepostercontents']);
		} else if (isset($_POST['movie'])) {
			echo '<div style="width:580px">'.$this->show_movie().'</div>';//str_replace(array('\n','\n\r'), array('',''),$this->show_movie());
			?><form method="post" action="#">
            <table class="form-table">
            	<tr>
					<th scope="row">Post Type</th>
					<td>
						<select name='movie_poster_post_type'>
							<option value='post' selected>Post</option>
							<option value='page'>Page</option>
						</select>
						<span style="color:#666666;margin-left:2px;">Would you like a post on the blog, or a page?</span>
					</td>
				</tr>
                <tr>
					<th scope="row">Post Status</th>
					<td>
						<select name='movie_poster_post_status'>
							<option value='draft' selected>Draft</option>
							<option value='publish'>Publish</option>
                            <option value='pending'>Pending</option>
                            <option value='future'>Future</option>
                            <option value='private'>Private</option>
						</select>
						<span style="color:#666666;margin-left:2px;">Set the status of the new post. </span>
					</td>
				</tr>
            </table>
            <input type="hidden" name='movie' value='<?php echo $_POST['movie']; ?>' />
			<input type="hidden" name='q' value='<?php echo $_POST['q']; ?>' />
			<p class="submit">
			<input type="submit" class="button-primary" name="edit_post" value="<?php _e('Post') ?>" />
			</p>
		</form>  

        
		<?php
			
		}
		
	?>
		<form method="post" action="#">

			<!-- Table Structure Containing Form Controls -->
			<!-- Each Plugin Option Defined on a New Table Row -->
			<table class="form-table">
  
				<tr>
					<th scope="row">Enter movie title</th>
					<td>
						<input type="text" size="57" name="movie_title" />
					</td>
				</tr>
        	</table>
			<p class="submit">
			<input type="submit" class="button-primary" name="search_movie" value="<?php _e('Search') ?>" />
			</p>
		</form>        
    </div> 
    
    <?php 

	}
	
	function search_movie() {
		global $wpdb;
		Movie_poster_plugin::$table_name = $wpdb->prefix . "movie_poster_plugin";
		global $TMPL;
		$TMPL = array();
		$TMPL['plugin_path'] = plugin_dir_url(__FILE__);
		$TMPL['pluginpageurl'] = $_SERVER['REQUEST_URI'];
		include("includes/skins.php");
		require_once("includes/search.php");
		
		$res = '<div id="pluginbody">';
		$res .= '<link href="'.plugin_dir_url(__FILE__).'style.css" rel="stylesheet" type="text/css" />';
		$TMPL['content'] = PageMain();
		$res .= $TMPL['content'];
		$res .= '</div>';
		return $res;
	}
	
	function show_movie() {
		global $wpdb;
		Movie_poster_plugin::$table_name = $wpdb->prefix . "movie_poster_plugin";
		global $TMPL;
		$TMPL = array();
		$TMPL['plugin_path'] = plugin_dir_url(__FILE__);
		include("includes/skins.php");
		require_once("includes/movie.php");
		
		$res = '<div id="pluginbody">';
		$res .= '<link href="'.plugin_dir_url(__FILE__).'style.css" rel="stylesheet" type="text/css" />';
		$TMPL['content'] = PageMain();
		$res .= $TMPL['content'];
		$res .= '</div>';

		return $res;
	}
	
	function prepare_for_post() {
		global $TMPL;
		$post = array('post_content' => $this->show_movie(), //str_replace(array('\n','\n\r'), array('',''),$this->show_movie()),
					'post_title' => $TMPL['title_metro'],
					'post_type' => $_POST['movie_poster_post_type'],
					'post_status' => $_POST['movie_poster_post_status']);
		wp_insert_post($post);
		?> <script type="text/javascript">alert("Movie added succesfuly!"); </script> <?php
	}
	
	static function plugin_activate() {
  		global $wpdb;
		Movie_poster_plugin::$table_name = $wpdb->prefix . "movie_poster_plugin";
		
		$sql = "CREATE TABLE IF NOT EXISTS " . Movie_poster_plugin::$table_name . "(
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `imdbid` varchar(10) NOT NULL,
		  `poster` varchar(256) NOT NULL,
		  `title` varchar(128) NOT NULL,
		  `tagline` varchar(128) NOT NULL,
		  `plot` text NOT NULL,
		  `year` year(4) NOT NULL,
		  `release` varchar(18) NOT NULL,
		  `country` varchar(256) NOT NULL,
		  `runtime` char(6) NOT NULL,
		  `storyline` text NOT NULL,
		  `genres` varchar(256) NOT NULL,
		  `actors` text NOT NULL,
		  `votes` varchar(5) NOT NULL,
		  `oscars` tinyint(4) NOT NULL,
		  `mpaa` varchar(6) NOT NULL,
		  `trivia` varchar(512) NOT NULL,
		  PRIMARY KEY (`id`),
		  KEY `id` (`id`)
		) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=110 ;";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		
  	}
	
	//PHP 4 compatibility
	function Movie_poster_plugin() {
		$this->__construct();
	}
}

// Start this plugin once all other plugins are fully loaded
add_action( 'init', 'Movie_poster_plugin_init');
function Movie_poster_plugin_init() {
	global $movie_poster_plugin;
	$movie_poster_plugin = new Movie_poster_plugin();
}


?>